### Method

# Camel StoreSearch remove_folder

since: 3.58

#### Declaration [src]

    void
    camel_store_search_remove_folder (
      CamelStoreSearch* self,
      CamelFolder* folder
    )

#### Description [src]

Removes the `folder` from the list of the folders the `self` should search in. It does nothing when the `folder` is not part of the `self`.

The content is not updated automatically, call `camel_store_search_rebuild_sync()` to rebuild the content.

Available since: 3.58

#### Parameters

`folder`

  Type: `CamelFolder`

  A `CamelFolder`.

  The data is owned by the caller of the method.